Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Subquery

    java.lang.Object
      org.modeshape.graph.query.model.Subquery

All Implemented Interfaces:
  Serializable, LanguageObject, StaticOperand, Visitable

Direct Known Subclasses:
  JcrSubquery

    public class Subquery

extends Object
implements StaticOperand

A representation of a non-correlated subquery. This component uses composition to hold the various types of QueryCommand objects, rather than inheriting from StaticOperand and QueryCommand.

See Also:
  Serialized Form

Field Summary
`static String` | `VARIABLE_PREFIX`

Constructor Summary
`Subquery(QueryCommand query)` Create a new subquery component that uses the supplied query as the subquery expression.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`static boolean` | `isSubqueryVariableName(String variableName)`
`QueryCommand` | `query()` Get the query representing the subquery.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VARIABLE_PREFIX

    public static final String VARIABLE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Subquery

    public Subquery(QueryCommand query)

  Create a new subquery component that uses the supplied query as the subquery expression.

  Parameters:
    `query` - the Command representing the subquery.

Method Detail

### isSubqueryVariableName

    public static boolean isSubqueryVariableName(String variableName)

### query

    public QueryCommand query()

  Get the query representing the subquery.

  Returns:
    the subquery

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.